<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Writer\Xlsx\Chart</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic inherited">
        <a href="#method___construct" title="__construct ::Set parent Xlsx object.">
            <span class="description">Set parent Xlsx object.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getParentWriter" title="getParentWriter ::Get parent Xlsx object.">
            <span class="description">Get parent Xlsx object.</span><pre>getParentWriter</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_writeChart" title="writeChart ::Write charts to XML format.">
            <span class="description">Write charts to XML format.</span><pre>writeChart</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>                        <li class="methodprivate">
                            <a href="#method_getChartType" title="getChartType ::Get the data series type(s) for a chart plot series.">
                                <span class="description">Get the data series type(s) for a chart plot series.</span><pre>getChartType</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_writeAlternateContent" title="writeAlternateContent ::Write Alternate Content block.">
                                <span class="description">Write Alternate Content block.</span><pre>writeAlternateContent</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_writeBubbles" title="writeBubbles ::Write Bubble Chart Details.">
                                <span class="description">Write Bubble Chart Details.</span><pre>writeBubbles</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_writeCategoryAxis" title="writeCategoryAxis ::Write Category Axis.">
                                <span class="description">Write Category Axis.</span><pre>writeCategoryAxis</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_writeDataLabels" title="writeDataLabels ::Write Data Labels.">
                                <span class="description">Write Data Labels.</span><pre>writeDataLabels</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_writeLayout" title="writeLayout ::Write Layout.">
                                <span class="description">Write Layout.</span><pre>writeLayout</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_writeLegend" title="writeLegend ::Write Chart Legend.">
                                <span class="description">Write Chart Legend.</span><pre>writeLegend</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_writePlotArea" title="writePlotArea ::Write Chart Plot Area.">
                                <span class="description">Write Chart Plot Area.</span><pre>writePlotArea</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_writePlotGroup" title="writePlotGroup ::Write Plot Group (series of related plots).">
                                <span class="description">Write Plot Group (series of related plots).</span><pre>writePlotGroup</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_writePlotSeriesLabel" title="writePlotSeriesLabel ::Write Plot Series Label.">
                                <span class="description">Write Plot Series Label.</span><pre>writePlotSeriesLabel</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_writePlotSeriesValues" title="writePlotSeriesValues ::Write Plot Series Values.">
                                <span class="description">Write Plot Series Values.</span><pre>writePlotSeriesValues</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_writePlotSeriesValuesElement" title="writePlotSeriesValuesElement ::Method writing plot series values.">
                                <span class="description">Method writing plot series values.</span><pre>writePlotSeriesValuesElement</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_writePrintSettings" title="writePrintSettings ::Write Printer Settings.">
                                <span class="description">Write Printer Settings.</span><pre>writePrintSettings</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_writeTitle" title="writeTitle ::Write Chart Title.">
                                <span class="description">Write Chart Title.</span><pre>writeTitle</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_writeValueAxis" title="writeValueAxis ::Write Value Axis.">
                                <span class="description">Write Value Axis.</span><pre>writeValueAxis</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Chart</h1>
                <small style="display: block; text-align: right">                        Extends<a href="../classes/PhpOffice.PhpSpreadsheet.Writer.Xlsx.WriterPart.html">\PhpOffice\PhpSpreadsheet\Writer\Xlsx\WriterPart</a>                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct inherited" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Set parent Xlsx object.</h2>
                            <pre>__construct(\PhpOffice\PhpSpreadsheet\Writer\Xlsx $pWriter)</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pWriter</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Writer.Xlsx.html">\PhpOffice\PhpSpreadsheet\Writer\Xlsx</a></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_getChartType"></a>
                        <div class="element clickable methodprivate method_getChartType" data-toggle="collapse" data-target=".method_getChartType .collapse">
                            <h2>Get the data series type(s) for a chart plot series.</h2>
                            <pre>getChartType(\PhpOffice\PhpSpreadsheet\Chart\PlotArea $plotArea): array|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Writer\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$plotArea</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.PlotArea.html">\PhpOffice\PhpSpreadsheet\Chart\PlotArea</a></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>array|string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getParentWriter"></a>
                        <div class="element clickable methodpublic method_getParentWriter inherited" data-toggle="collapse" data-target=".method_getParentWriter .collapse">
                            <h2>Get parent Xlsx object.</h2>
                            <pre>getParentWriter(): \PhpOffice\PhpSpreadsheet\Writer\Xlsx</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Writer.Xlsx.html">\PhpOffice\PhpSpreadsheet\Writer\Xlsx</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_writeAlternateContent"></a>
                        <div class="element clickable methodprivate method_writeAlternateContent" data-toggle="collapse" data-target=".method_writeAlternateContent .collapse">
                            <h2>Write Alternate Content block.</h2>
                            <pre>writeAlternateContent(\PhpOffice\PhpSpreadsheet\Shared\XMLWriter $objWriter)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$objWriter</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.XMLWriter.html">\PhpOffice\PhpSpreadsheet\Shared\XMLWriter</a></code><p><p>XML Writer</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_writeBubbles"></a>
                        <div class="element clickable methodprivate method_writeBubbles" data-toggle="collapse" data-target=".method_writeBubbles .collapse">
                            <h2>Write Bubble Chart Details.</h2>
                            <pre>writeBubbles(\PhpOffice\PhpSpreadsheet\Chart\DataSeriesValues $plotSeriesValues,\PhpOffice\PhpSpreadsheet\Shared\XMLWriter $objWriter)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$plotSeriesValues</h4>
                                                <code>\PhpOffice\PhpSpreadsheet\Chart\DataSeriesValues</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$objWriter</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.XMLWriter.html">\PhpOffice\PhpSpreadsheet\Shared\XMLWriter</a></code><p><p>XML Writer</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_writeCategoryAxis"></a>
                        <div class="element clickable methodprivate method_writeCategoryAxis" data-toggle="collapse" data-target=".method_writeCategoryAxis .collapse">
                            <h2>Write Category Axis.</h2>
                            <pre>writeCategoryAxis(\PhpOffice\PhpSpreadsheet\Shared\XMLWriter $objWriter,\PhpOffice\PhpSpreadsheet\Chart\Title $xAxisLabel,string $id1,string $id2,boolean $isMultiLevelSeries,\PhpOffice\PhpSpreadsheet\Chart\Axis $yAxis)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Writer\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$objWriter</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.XMLWriter.html">\PhpOffice\PhpSpreadsheet\Shared\XMLWriter</a></code><p><p>XML Writer</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$xAxisLabel</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Title.html">\PhpOffice\PhpSpreadsheet\Chart\Title</a></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$id1</h4>
                                                <code>string</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$id2</h4>
                                                <code>string</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$isMultiLevelSeries</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$yAxis</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Axis.html">\PhpOffice\PhpSpreadsheet\Chart\Axis</a></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_writeChart"></a>
                        <div class="element clickable methodpublic method_writeChart" data-toggle="collapse" data-target=".method_writeChart .collapse">
                            <h2>Write charts to XML format.</h2>
                            <pre>writeChart(\PhpOffice\PhpSpreadsheet\Chart\Chart $pChart,mixed $calculateCellValues = true): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Writer\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pChart</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Chart.html">\PhpOffice\PhpSpreadsheet\Chart\Chart</a></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$calculateCellValues</h4>
                                                <code>mixed</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p><p>XML Output</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_writeDataLabels"></a>
                        <div class="element clickable methodprivate method_writeDataLabels" data-toggle="collapse" data-target=".method_writeDataLabels .collapse">
                            <h2>Write Data Labels.</h2>
                            <pre>writeDataLabels(\PhpOffice\PhpSpreadsheet\Shared\XMLWriter $objWriter,\PhpOffice\PhpSpreadsheet\Chart\Layout $chartLayout = null)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$objWriter</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.XMLWriter.html">\PhpOffice\PhpSpreadsheet\Shared\XMLWriter</a></code><p><p>XML Writer</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$chartLayout</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Layout.html">\PhpOffice\PhpSpreadsheet\Chart\Layout</a></code><p><p>Chart layout</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_writeLayout"></a>
                        <div class="element clickable methodprivate method_writeLayout" data-toggle="collapse" data-target=".method_writeLayout .collapse">
                            <h2>Write Layout.</h2>
                            <pre>writeLayout(\PhpOffice\PhpSpreadsheet\Shared\XMLWriter $objWriter,\PhpOffice\PhpSpreadsheet\Chart\Layout $layout = null)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$objWriter</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.XMLWriter.html">\PhpOffice\PhpSpreadsheet\Shared\XMLWriter</a></code><p><p>XML Writer</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$layout</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Layout.html">\PhpOffice\PhpSpreadsheet\Chart\Layout</a></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_writeLegend"></a>
                        <div class="element clickable methodprivate method_writeLegend" data-toggle="collapse" data-target=".method_writeLegend .collapse">
                            <h2>Write Chart Legend.</h2>
                            <pre>writeLegend(\PhpOffice\PhpSpreadsheet\Shared\XMLWriter $objWriter,\PhpOffice\PhpSpreadsheet\Chart\Legend $legend = null)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Writer\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$objWriter</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.XMLWriter.html">\PhpOffice\PhpSpreadsheet\Shared\XMLWriter</a></code><p><p>XML Writer</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$legend</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Legend.html">\PhpOffice\PhpSpreadsheet\Chart\Legend</a></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_writePlotArea"></a>
                        <div class="element clickable methodprivate method_writePlotArea" data-toggle="collapse" data-target=".method_writePlotArea .collapse">
                            <h2>Write Chart Plot Area.</h2>
                            <pre>writePlotArea(\PhpOffice\PhpSpreadsheet\Shared\XMLWriter $objWriter,\PhpOffice\PhpSpreadsheet\Worksheet\Worksheet $pSheet,\PhpOffice\PhpSpreadsheet\Chart\PlotArea $plotArea,\PhpOffice\PhpSpreadsheet\Chart\Title $xAxisLabel = null,\PhpOffice\PhpSpreadsheet\Chart\Title $yAxisLabel = null,\PhpOffice\PhpSpreadsheet\Chart\Axis $xAxis = null,\PhpOffice\PhpSpreadsheet\Chart\Axis $yAxis = null,null|\PhpOffice\PhpSpreadsheet\Chart\GridLines $majorGridlines = null,null|\PhpOffice\PhpSpreadsheet\Chart\GridLines $minorGridlines = null)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Writer\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$objWriter</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.XMLWriter.html">\PhpOffice\PhpSpreadsheet\Shared\XMLWriter</a></code><p><p>XML Writer</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$pSheet</h4>
                                                <code>\PhpOffice\PhpSpreadsheet\Worksheet\Worksheet</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$plotArea</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.PlotArea.html">\PhpOffice\PhpSpreadsheet\Chart\PlotArea</a></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$xAxisLabel</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Title.html">\PhpOffice\PhpSpreadsheet\Chart\Title</a></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$yAxisLabel</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Title.html">\PhpOffice\PhpSpreadsheet\Chart\Title</a></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$xAxis</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Axis.html">\PhpOffice\PhpSpreadsheet\Chart\Axis</a></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$yAxis</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Axis.html">\PhpOffice\PhpSpreadsheet\Chart\Axis</a></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$majorGridlines</h4>
                                                <code>null|<a href="../classes/PhpOffice.PhpSpreadsheet.Chart.GridLines.html">\PhpOffice\PhpSpreadsheet\Chart\GridLines</a></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$minorGridlines</h4>
                                                <code>null|<a href="../classes/PhpOffice.PhpSpreadsheet.Chart.GridLines.html">\PhpOffice\PhpSpreadsheet\Chart\GridLines</a></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_writePlotGroup"></a>
                        <div class="element clickable methodprivate method_writePlotGroup" data-toggle="collapse" data-target=".method_writePlotGroup .collapse">
                            <h2>Write Plot Group (series of related plots).</h2>
                            <pre>writePlotGroup(\PhpOffice\PhpSpreadsheet\Chart\DataSeries $plotGroup,string $groupType,\PhpOffice\PhpSpreadsheet\Shared\XMLWriter $objWriter, &$catIsMultiLevelSeries, &$valIsMultiLevelSeries, &$plotGroupingType)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Writer\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$plotGroup</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.DataSeries.html">\PhpOffice\PhpSpreadsheet\Chart\DataSeries</a></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$groupType</h4>
                                                <code>string</code><p><p>Type of plot for dataseries</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$objWriter</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.XMLWriter.html">\PhpOffice\PhpSpreadsheet\Shared\XMLWriter</a></code><p><p>XML Writer</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$catIsMultiLevelSeries</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$valIsMultiLevelSeries</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$plotGroupingType</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_writePlotSeriesLabel"></a>
                        <div class="element clickable methodprivate method_writePlotSeriesLabel" data-toggle="collapse" data-target=".method_writePlotSeriesLabel .collapse">
                            <h2>Write Plot Series Label.</h2>
                            <pre>writePlotSeriesLabel(\PhpOffice\PhpSpreadsheet\Chart\DataSeriesValues $plotSeriesLabel,\PhpOffice\PhpSpreadsheet\Shared\XMLWriter $objWriter)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$plotSeriesLabel</h4>
                                                <code>\PhpOffice\PhpSpreadsheet\Chart\DataSeriesValues</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$objWriter</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.XMLWriter.html">\PhpOffice\PhpSpreadsheet\Shared\XMLWriter</a></code><p><p>XML Writer</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_writePlotSeriesValues"></a>
                        <div class="element clickable methodprivate method_writePlotSeriesValues" data-toggle="collapse" data-target=".method_writePlotSeriesValues .collapse">
                            <h2>Write Plot Series Values.</h2>
                            <pre>writePlotSeriesValues(\PhpOffice\PhpSpreadsheet\Chart\DataSeriesValues $plotSeriesValues,\PhpOffice\PhpSpreadsheet\Shared\XMLWriter $objWriter,string $groupType,string $dataType = &#039;str&#039;)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$plotSeriesValues</h4>
                                                <code>\PhpOffice\PhpSpreadsheet\Chart\DataSeriesValues</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$objWriter</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.XMLWriter.html">\PhpOffice\PhpSpreadsheet\Shared\XMLWriter</a></code><p><p>XML Writer</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$groupType</h4>
                                                <code>string</code><p><p>Type of plot for dataseries</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$dataType</h4>
                                                <code>string</code><p><p>Datatype of series values</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_writePlotSeriesValuesElement"></a>
                        <div class="element clickable methodprivate method_writePlotSeriesValuesElement" data-toggle="collapse" data-target=".method_writePlotSeriesValuesElement .collapse">
                            <h2>Method writing plot series values.</h2>
                            <pre>writePlotSeriesValuesElement(\PhpOffice\PhpSpreadsheet\Shared\XMLWriter $objWriter,integer $val = 3,string $fillColor = &#039;FF9900&#039;): \PhpOffice\PhpSpreadsheet\Shared\XMLWriter</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$objWriter</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.XMLWriter.html">\PhpOffice\PhpSpreadsheet\Shared\XMLWriter</a></code><p><p>XML Writer</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$val</h4>
                                                <code>integer</code><p><p>value for idx (default: 3)</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$fillColor</h4>
                                                <code>string</code><p><p>hex color (default: FF9900)</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.XMLWriter.html">\PhpOffice\PhpSpreadsheet\Shared\XMLWriter</a></code><p><p>XML Writer</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_writePrintSettings"></a>
                        <div class="element clickable methodprivate method_writePrintSettings" data-toggle="collapse" data-target=".method_writePrintSettings .collapse">
                            <h2>Write Printer Settings.</h2>
                            <pre>writePrintSettings(\PhpOffice\PhpSpreadsheet\Shared\XMLWriter $objWriter)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$objWriter</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.XMLWriter.html">\PhpOffice\PhpSpreadsheet\Shared\XMLWriter</a></code><p><p>XML Writer</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_writeTitle"></a>
                        <div class="element clickable methodprivate method_writeTitle" data-toggle="collapse" data-target=".method_writeTitle .collapse">
                            <h2>Write Chart Title.</h2>
                            <pre>writeTitle(\PhpOffice\PhpSpreadsheet\Shared\XMLWriter $objWriter,\PhpOffice\PhpSpreadsheet\Chart\Title $title = null)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Writer\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$objWriter</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.XMLWriter.html">\PhpOffice\PhpSpreadsheet\Shared\XMLWriter</a></code><p><p>XML Writer</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$title</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Title.html">\PhpOffice\PhpSpreadsheet\Chart\Title</a></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_writeValueAxis"></a>
                        <div class="element clickable methodprivate method_writeValueAxis" data-toggle="collapse" data-target=".method_writeValueAxis .collapse">
                            <h2>Write Value Axis.</h2>
                            <pre>writeValueAxis(\PhpOffice\PhpSpreadsheet\Shared\XMLWriter $objWriter,\PhpOffice\PhpSpreadsheet\Chart\Title $yAxisLabel,string $groupType,string $id1,string $id2,boolean $isMultiLevelSeries,\PhpOffice\PhpSpreadsheet\Chart\Axis $xAxis,\PhpOffice\PhpSpreadsheet\Chart\GridLines $majorGridlines,\PhpOffice\PhpSpreadsheet\Chart\GridLines $minorGridlines)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Writer\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$objWriter</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.XMLWriter.html">\PhpOffice\PhpSpreadsheet\Shared\XMLWriter</a></code><p><p>XML Writer</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$yAxisLabel</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Title.html">\PhpOffice\PhpSpreadsheet\Chart\Title</a></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$groupType</h4>
                                                <code>string</code><p><p>Chart type</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$id1</h4>
                                                <code>string</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$id2</h4>
                                                <code>string</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$isMultiLevelSeries</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$xAxis</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Axis.html">\PhpOffice\PhpSpreadsheet\Chart\Axis</a></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$majorGridlines</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.GridLines.html">\PhpOffice\PhpSpreadsheet\Chart\GridLines</a></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$minorGridlines</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.GridLines.html">\PhpOffice\PhpSpreadsheet\Chart\GridLines</a></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_calculateCellValues"> </a>
                            <div class="element clickable propertyprotected property_calculateCellValues" data-toggle="collapse" data-target=".property_calculateCellValues .collapse">
                                <h2>calculateCellValues</h2>
                                <pre>calculateCellValues :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_seriesIndex"> </a>
                            <div class="element clickable propertyprivate property_seriesIndex" data-toggle="collapse" data-target=".property_seriesIndex .collapse">
                                <h2>seriesIndex</h2>
                                <pre>seriesIndex :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_parentWriter"> </a>
                            <div class="element clickable propertyprivate property_parentWriter inherited" data-toggle="collapse" data-target=".property_parentWriter .collapse">
                                <h2>Parent Xlsx object.</h2>
                                <pre>parentWriter :\PhpOffice\PhpSpreadsheet\Writer\Xlsx</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Writer.Xlsx.html">\PhpOffice\PhpSpreadsheet\Writer\Xlsx</a></code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Writer\Xlsx\Chart"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Writer.Xlsx.html">Xlsx</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Writer.Xlsx.Chart.html">Chart</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:46 +0000.<br/>
    </footer></body>
</html>
